lfs 6.5 binutils

Chris Staub chris at beaker67.com
Sun Nov 1 19:50:10 PST 2009


On 11/01/2009 10:33 PM, Geoff Howell wrote:
> Hi everyone
> I'm new here, and first time trying to build a linux system.
> I'm trying to build lfs6.5 on a debian lenny system inside a ViritualBox vm. I'm following the book to the letter (copy/paste instructions rather than typing by hand), and have not got beyond glibc in chapter 6.
> My system meets or exceeds software requirements from version-check.sh.
> First problem: binutils in ch5 - it compiles successfully, but when I check what's installed I find no libopcodes or libbfd in /tools/lib (or anywhere else for that matter). So, is this an issue (ie are these lib files required or can I proceed without them?)
>
> Second problem: will bring it up after first problem is solved :) as it may be related.
>
> I don't think that my host system has these libs either (but can't confirm that right now as I'm at work). I've installed build-essential and linux headers (2.6.26-2).
>
> After much searching I can't find any answer on this. Does anyone have any idea why these libs are not installed? I can provide further information later this evening when I'm at home.
>
> Thanks
> Geoff
>
I don't know for sure whether they are supposed to be in /tools, 
but...is there a specific reason you're asking? Are you getting errors?



More information about the lfs-support mailing list